Index: branches/dev_001_GM/NEMO/TOP_SRC/PISCES_SMS/p4zbio_kriest.h90
===================================================================
--- branches/dev_001_GM/NEMO/TOP_SRC/PISCES_SMS/p4zbio.kriest.h	(revision 764)
+++ branches/dev_001_GM/NEMO/TOP_SRC/PISCES_SMS/p4zbio_kriest.h90	(revision 775)
@@ -1,93 +1,64 @@
 
+      !CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
+      !CC p4zbio : PISCES MODEL  - Kriest parameterization
+      !CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
 
-CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
-CCC p4zbio : PISCES MODEL  - Kriest parameterization
-CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
+      DO jk = 1, jpkm1
+         DO jj = 1, jpj
+            DO ji = 1, jpi
+    
+               !     Evolution of DOC
+               !     ----------------     
+               trn(ji,jj,jk,jpdoc) = trn(ji,jj,jk,jpdoc) + orem(ji,jj,jk)                                  &
+                  &                                      + excret2 * prorca2(ji,jj,jk)                     &
+                  &                                      + excret  * prorca (ji,jj,jk) - olimi(ji,jj,jk)   &
+                  &                                      - denitr(ji,jj,jk)                                &
+                  &                                      + grarem (ji,jj,jk) * (1.-sigma1)                 &
+                  &                                      + grarem2(ji,jj,jk) * (1.-sigma2) - xaggdoc(ji,jj,jk)
+     
+               !     Evolution of Detritus
+               !     ---------------------
+               znumpoc = trn(ji,jj,jk,jpnum) / ( trn(ji,jj,jk,jppoc) + rtrn )
+               znumdoc = znumpoc
 
-      DO jk = 1,jpkm1
-        DO jj = 1,jpj
-          DO ji = 1,jpi
-C    
-C     Evolution of DOC
-C     ----------------
-C     
-          trn(ji,jj,jk,jpdoc) = trn(ji,jj,jk,jpdoc)
-     &      +orem(ji,jj,jk)+excret2*prorca2(ji,jj,jk)
-     &      +excret*prorca(ji,jj,jk)-olimi(ji,jj,jk)-denitr(ji,jj,jk)
-     &      +grarem(ji,jj,jk)*(1.-sigma1)+grarem2(ji,jj,jk)
-     &      *(1.-sigma2)-xaggdoc(ji,jj,jk)
-          END DO
-        END DO
+               trn(ji,jj,jk,jppoc) = trn(ji,jj,jk,jppoc) - grazpoc(ji,jj,jk)                       &
+                  &                                      + grapoc (ji,jj,jk) + grapoc2(ji,jj,jk)   &
+                  &                                      - grazm  (ji,jj,jk) + tortz2 (ji,jj,jk)   &
+                  &                                      + respz  (ji,jj,jk) + respz2 (ji,jj,jk)   &
+                  &                                      + respp  (ji,jj,jk) + respp2 (ji,jj,jk)   &
+                  &                                      + tortp2 (ji,jj,jk) + tortz  (ji,jj,jk)   &
+                  &                                      + tortp  (ji,jj,jk) - orem   (ji,jj,jk)   &
+                  &                                      + xaggdoc(ji,jj,jk) - grazffe(ji,jj,jk)
+
+               !     Evolution of number of aggregates
+               !     ---------------------------------
+               trn(ji,jj,jk,jpnum) = trn(ji,jj,jk,jpnum) - xagg(ji,jj,jk)                                           &
+                  &                                      - ( orem(ji,jj,jk) + grazpoc(ji,jj,jk) ) * znumpoc         &
+                  &                                      + ( tortp(ji,jj,jk) ) * xkr_nnano                          &
+                  &                                      + ( tortp2(ji,jj,jk) + respp(ji,jj,jk) + tortz(ji,jj,jk)   &
+                  &                                        + grapoc(ji,jj,jk) - grazm(ji,jj,jk)                     &
+                  &                                        + respz(ji,jj,jk) ) * xkr_ndiat                          &
+                  &                                      + ( grapoc2(ji,jj,jk) + tortz2(ji,jj,jk)                   &
+                  &                                        + respz2 (ji,jj,jk) ) * xkr_nmeso                        &
+                  &                                      + respp2(ji,jj,jk) * xkr_naggr                             &
+                  &                                      + xaggdoc(ji,jj,jk) * znumdoc                              &
+                  &                                      - grazffe(ji,jj,jk) * znumpoc * wsbio4(ji,jj,jk)           &
+                  &                                      / ( wsbio3(ji,jj,jk) + rtrn )
+
+               trn(ji,jj,jk,jpnum) = MAX( trn(ji,jj,jk,jpnum), trn(ji,jj,jk,jppoc) / xkr_massp / xnumm(jk) )
+
+               trn(ji,jj,jk,jpnum) = MIN( trn(ji,jj,jk,jpnum), trn(ji,jj,jk,jppoc) / xkr_massp / 1.1       )
+
+               !     Evolution of biogenic Iron
+               !     --------------------------
+               trn(ji,jj,jk,jpsfe) = trn(ji,jj,jk,jpsfe) + unass * ( grazpf(ji,jj,jk) + grazsf(ji,jj,jk) )   &
+                  &                - ( 1.- unass2 ) * grazpof(ji,jj,jk) - ( 1.- unass ) * grazmf(ji,jj,jk)   &
+                  &                - ( 1.- unass2 ) * grazfff(ji,jj,jk) +       unass2  * ( graznf(ji,jj,jk)   &
+                  &                + grazf(ji,jj,jk) + ferat3 * grazz(ji,jj,jk) ) + ferat3                   &
+                  &                * (tortz2(ji,jj,jk)+respz2(ji,jj,jk)+tortz(ji,jj,jk)                      &
+                  &                + respz(ji,jj,jk) ) - ofer(ji,jj,jk) + ( respnf(ji,jj,jk)                 &
+                  &                + tortnf(ji,jj,jk) ) + tortdf(ji,jj,jk) + respdf(ji,jj,jk)                &
+                  &                + xbactfer(ji,jj,jk) + xscave(ji,jj,jk) * zdenom1(ji,jj,jk)
+            END DO
+         END DO
       END DO
-
-
-      DO jk = 1,jpkm1
-        DO jj = 1,jpj
-          DO ji = 1,jpi
-C     
-C     Evolution of Detritus
-C     ---------------------
-C  
-            znumpoc=trn(ji,jj,jk,jpnum)/(trn(ji,jj,jk,jppoc)+rtrn)
-            znumdoc=znumpoc
-
-            trn(ji,jj,jk,jppoc) = trn(ji,jj,jk,jppoc)
-     &          -grazpoc(ji,jj,jk)
-     &          +grapoc(ji,jj,jk)+grapoc2(ji,jj,jk)
-     &          -grazm(ji,jj,jk)+tortz2(ji,jj,jk)
-     &          +respz(ji,jj,jk)+respz2(ji,jj,jk)
-     &          +respp(ji,jj,jk)+respp2(ji,jj,jk)
-     &          +tortp2(ji,jj,jk)+tortz(ji,jj,jk)
-     &          +tortp(ji,jj,jk)-orem(ji,jj,jk)
-     &          +xaggdoc(ji,jj,jk)-grazffe(ji,jj,jk)
-C    
-C     Evolution of number of aggregates
-C     ---------------------------------
-C
-            trn(ji,jj,jk,jpnum) = trn(ji,jj,jk,jpnum)
-     &          -xagg(ji,jj,jk)-(orem(ji,jj,jk)
-     &          +grazpoc(ji,jj,jk))*znumpoc
-     &          +(tortp(ji,jj,jk))*xkr_nnano
-     &          +(tortp2(ji,jj,jk)+respp(ji,jj,jk)+tortz(ji,jj,jk)
-     &          +grapoc(ji,jj,jk)-grazm(ji,jj,jk)
-     &          +respz(ji,jj,jk))*xkr_ndiat
-     &          +(grapoc2(ji,jj,jk)+tortz2(ji,jj,jk)
-     &          +respz2(ji,jj,jk))*xkr_nmeso
-     &          +respp2(ji,jj,jk)*xkr_naggr
-     &          +xaggdoc(ji,jj,jk)*znumdoc
-     &          -grazffe(ji,jj,jk)*znumpoc*wsbio4(ji,jj,jk)
-     &          /(wsbio3(ji,jj,jk)+rtrn)
-C
-            trn(ji,jj,jk,jpnum) = max(trn(ji,jj,jk,jpnum),
-     &          trn(ji,jj,jk,jppoc)/xkr_massp/xnumm(jk))
-C
-            trn(ji,jj,jk,jpnum) = min(trn(ji,jj,jk,jpnum),
-     &          trn(ji,jj,jk,jppoc)/xkr_massp/1.1)
-C
-
-          END DO
-        END DO
-      END DO
-
-
-
-      DO jk = 1,jpkm1
-        DO jj = 1,jpj
-          DO ji = 1,jpi
-C
-C     Evolution of biogenic Iron
-C     --------------------------
-C
-          trn(ji,jj,jk,jpsfe) = trn(ji,jj,jk,jpsfe)
-     &     +unass*(grazpf(ji,jj,jk)+grazsf(ji,jj,jk))
-     &     -(1.-unass2)*grazpof(ji,jj,jk)-(1.-unass)*grazmf(ji,jj,jk)
-     &     -(1.-unass2)*grazfff(ji,jj,jk)+unass2*(graznf(ji,jj,jk)
-     &     +grazf(ji,jj,jk)+ferat3*grazz(ji,jj,jk))+ferat3
-     &     *(tortz2(ji,jj,jk)+respz2(ji,jj,jk)+tortz(ji,jj,jk)
-     &     +respz(ji,jj,jk))-ofer(ji,jj,jk)+(respnf(ji,jj,jk)
-     &     +tortnf(ji,jj,jk))+tortdf(ji,jj,jk)+respdf(ji,jj,jk)
-     &     +xbactfer(ji,jj,jk)+xscave(ji,jj,jk)*zdenom1(ji,jj,jk)
-          END DO
-        END DO
-      END DO
-
